{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "abel-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/abel/Abel-Regular.ttf?raw=true";
      name = "Abel-Regular.ttf";
      sha256 = "8809dcad25318225052f88333e208c5aad4adcb7b2c934c135735ec19aa410b4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Abel-Regular.ttf $out/share/fonts/truetype/Abel-Regular.ttf
  '';

  meta = with lib; {
    description = "Abel";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
