{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "aboreto-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/aboreto/Aboreto-Regular.ttf?raw=true";
      name = "Aboreto-Regular.ttf";
      sha256 = "fc702d535857fa2bda802647b9d55f82a07502d4acdfd95b47279b3bf479eaa1";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Aboreto-Regular.ttf $out/share/fonts/truetype/Aboreto-Regular.ttf
  '';

  meta = with lib; {
    description = "Aboreto";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
