{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "alexandria-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/alexandria/Alexandria%5Bwght%5D.ttf?raw=true";
      name = "Alexandria_wght_.ttf";
      sha256 = "db8ae03b62d55a65aa4e04307878df8c00d6e5388e4800635cbe0e22b6411b64";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Alexandria_wght_.ttf $out/share/fonts/truetype/Alexandria_wght_.ttf
  '';

  meta = with lib; {
    description = "Alexandria";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
