{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "alfa-slab-one-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/alfaslabone/AlfaSlabOne-Regular.ttf?raw=true";
      name = "AlfaSlabOne-Regular.ttf";
      sha256 = "28664afa698a3393bd5a29eec750230a0645c5301d62200e5f2d3a027fb2299d";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 AlfaSlabOne-Regular.ttf $out/share/fonts/truetype/AlfaSlabOne-Regular.ttf
  '';

  meta = with lib; {
    description = "Alfa Slab One";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
