{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "alkalami-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/alkalami/Alkalami-Regular.ttf?raw=true";
      name = "Alkalami-Regular.ttf";
      sha256 = "4410dfc591b918dd4360b0252b079855a8a00250de363c8c0163b29ddfc56434";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Alkalami-Regular.ttf $out/share/fonts/truetype/Alkalami-Regular.ttf
  '';

  meta = with lib; {
    description = "Alkalami";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
