{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "allura-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/allura/Allura-Regular.ttf?raw=true";
      name = "Allura-Regular.ttf";
      sha256 = "9c142b2e515832c0dfc4ff8b8ea18f40314943bf937b72e2b23c4661bac14cc6";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Allura-Regular.ttf $out/share/fonts/truetype/Allura-Regular.ttf
  '';

  meta = with lib; {
    description = "Allura";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
