{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "asap-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/asap/Asap%5Bwdth,wght%5D.ttf?raw=true";
      name = "Asap_wdth,wght_.ttf";
      sha256 = "7bf29bcab72f7d00de600e964a3fc206620050d8448ddd976822378d0fe18028";
    })
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/asap/Asap-Italic%5Bwdth,wght%5D.ttf?raw=true";
      name = "Asap-Italic_wdth,wght_.ttf";
      sha256 = "a21e12f9babf2d02526003b27dff884b6d1cd0fed883ffe7740725626a11dd59";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Asap_wdth-wght_.ttf $out/share/fonts/truetype/Asap_wdth-wght_.ttf
     install -Dm644 Asap-Italic_wdth-wght_.ttf $out/share/fonts/truetype/Asap-Italic_wdth-wght_.ttf
  '';

  meta = with lib; {
    description = "Asap";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
