{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "big-shoulders-stencil-text-sc-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/bigshouldersstenciltextsc/BigShouldersStencilTextSC%5Bwght%5D.ttf?raw=true";
      name = "BigShouldersStencilTextSC_wght_.ttf";
      sha256 = "970efc1f8eb45174ae6fa7e14aa33449af764dc8f925d296e3b9aa1878b87e74";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 BigShouldersStencilTextSC_wght_.ttf $out/share/fonts/truetype/BigShouldersStencilTextSC_wght_.ttf
  '';

  meta = with lib; {
    description = "Big Shoulders Stencil Text SC";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
