{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "bokor-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/bokor/Bokor-Regular.ttf?raw=true";
      name = "Bokor-Regular.ttf";
      sha256 = "640d475abdd109bfd80d2eef892fe1c63d3ec0faddcd15f819c5f1729712c370";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Bokor-Regular.ttf $out/share/fonts/truetype/Bokor-Regular.ttf
  '';

  meta = with lib; {
    description = "Bokor";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
