{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "corben-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/corben/Corben-Regular.ttf?raw=true";
      name = "Corben-Regular.ttf";
      sha256 = "dd2c2697a8f936a43b5f0a2bae1bc82cdaf40f8a5fc1d15c1ecd562b3ea16044";
    })
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/corben/Corben-Bold.ttf?raw=true";
      name = "Corben-Bold.ttf";
      sha256 = "1fb5959682b89680467ab628e2f1e6359c6062acbb7edcea14ffcca1124db0f1";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Corben-Regular.ttf $out/share/fonts/truetype/Corben-Regular.ttf
     install -Dm644 Corben-Bold.ttf $out/share/fonts/truetype/Corben-Bold.ttf
  '';

  meta = with lib; {
    description = "Corben";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
