{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "dangrek-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/dangrek/Dangrek-Regular.ttf?raw=true";
      name = "Dangrek-Regular.ttf";
      sha256 = "d7dbac288167ef960ea67a5d45890b47419e18c046e90c68ee655a0168e0d06d";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Dangrek-Regular.ttf $out/share/fonts/truetype/Dangrek-Regular.ttf
  '';

  meta = with lib; {
    description = "Dangrek";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
