{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "frank-ruhl-libre-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/frankruhllibre/FrankRuhlLibre%5Bwght%5D.ttf?raw=true";
      name = "FrankRuhlLibre_wght_.ttf";
      sha256 = "f9bf26966681037aae894b031bd0dcf2c1bfdfa128dd0640cf276fe62a338a43";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 FrankRuhlLibre_wght_.ttf $out/share/fonts/truetype/FrankRuhlLibre_wght_.ttf
  '';

  meta = with lib; {
    description = "Frank Ruhl Libre";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
