{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "fustat-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/fustat/Fustat%5Bwght%5D.ttf?raw=true";
      name = "Fustat_wght_.ttf";
      sha256 = "ba09d90e6180e79334aadd42ea1ed0e97a405fadcd34412c1d02a6b8f679d402";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Fustat_wght_.ttf $out/share/fonts/truetype/Fustat_wght_.ttf
  '';

  meta = with lib; {
    description = "Fustat";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
