{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "hurricane-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/hurricane/Hurricane-Regular.ttf?raw=true";
      name = "Hurricane-Regular.ttf";
      sha256 = "5ea86b562ca5c2b1893c233367cde1aee0d677bb6d30af9c3f699c270880da13";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Hurricane-Regular.ttf $out/share/fonts/truetype/Hurricane-Regular.ttf
  '';

  meta = with lib; {
    description = "Hurricane";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
