{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "inder-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/inder/Inder-Regular.ttf?raw=true";
      name = "Inder-Regular.ttf";
      sha256 = "7e9922756c6879c6aed60b1f880fcd3067c44c8f3328830909d1091b11168fc6";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Inder-Regular.ttf $out/share/fonts/truetype/Inder-Regular.ttf
  '';

  meta = with lib; {
    description = "Inder";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
