{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "jacquard-24-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/jacquard24/Jacquard24-Regular.ttf?raw=true";
      name = "Jacquard24-Regular.ttf";
      sha256 = "8e5b1bdb8b6087d6175f1d9edd2634e38b10fb109c0955c24ad55272a866ed49";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Jacquard24-Regular.ttf $out/share/fonts/truetype/Jacquard24-Regular.ttf
  '';

  meta = with lib; {
    description = "Jacquard 24";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
