{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "langar-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/langar/Langar-Regular.ttf?raw=true";
      name = "Langar-Regular.ttf";
      sha256 = "b3c5559480f2c8587bdc24816f92ed3ad906d1d2ccc2294d2e051dc4ea0fe806";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Langar-Regular.ttf $out/share/fonts/truetype/Langar-Regular.ttf
  '';

  meta = with lib; {
    description = "Langar";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
