{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "lexend-peta-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/lexendpeta/LexendPeta%5Bwght%5D.ttf?raw=true";
      name = "LexendPeta_wght_.ttf";
      sha256 = "48bd753c216bdb19a469a6570a8756f23045c1e46f8d498f6cf1038cbcdc135b";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 LexendPeta_wght_.ttf $out/share/fonts/truetype/LexendPeta_wght_.ttf
  '';

  meta = with lib; {
    description = "Lexend Peta";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
