{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "limelight-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/limelight/Limelight-Regular.ttf?raw=true";
      name = "Limelight-Regular.ttf";
      sha256 = "f5bf8a9159adfc5b9c756c85d812a4fd1299b8916fefdf39ad4b24ade6d8d0cf";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Limelight-Regular.ttf $out/share/fonts/truetype/Limelight-Regular.ttf
  '';

  meta = with lib; {
    description = "Limelight";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
