{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "maname-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/maname/Maname-Regular.ttf?raw=true";
      name = "Maname-Regular.ttf";
      sha256 = "db07b4953f547081186104ab8e626bf405616b033598ee82eae90166e0c84e14";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Maname-Regular.ttf $out/share/fonts/truetype/Maname-Regular.ttf
  '';

  meta = with lib; {
    description = "Maname";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
