{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "manufacturing-consent-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/manufacturingconsent/ManufacturingConsent-Regular.ttf?raw=true";
      name = "ManufacturingConsent-Regular.ttf";
      sha256 = "5a965329cc99d7b8b22ddbdbf98ee3dfef111c68b5e7aba80128dbefb5427db3";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 ManufacturingConsent-Regular.ttf $out/share/fonts/truetype/ManufacturingConsent-Regular.ttf
  '';

  meta = with lib; {
    description = "Manufacturing Consent";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
