{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "mingzat-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/mingzat/Mingzat-Regular.ttf?raw=true";
      name = "Mingzat-Regular.ttf";
      sha256 = "63b8c9ea9ceb9953a6aeaf94e70be3d534c93070247c945512c1e782dace961a";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Mingzat-Regular.ttf $out/share/fonts/truetype/Mingzat-Regular.ttf
  '';

  meta = with lib; {
    description = "Mingzat";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
