{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "miss-fajardose-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/missfajardose/MissFajardose-Regular.ttf?raw=true";
      name = "MissFajardose-Regular.ttf";
      sha256 = "f76e0f245e781a75ea9fa528706b417173f7741439369c07d1501276170ab709";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 MissFajardose-Regular.ttf $out/share/fonts/truetype/MissFajardose-Regular.ttf
  '';

  meta = with lib; {
    description = "Miss Fajardose";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
