{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "mochiy-pop-p-one-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/mochiypoppone/MochiyPopPOne-Regular.ttf?raw=true";
      name = "MochiyPopPOne-Regular.ttf";
      sha256 = "0031243aa1290c63c7551f8cdf06b1631a5c72033d12b2b7c595e60660007252";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 MochiyPopPOne-Regular.ttf $out/share/fonts/truetype/MochiyPopPOne-Regular.ttf
  '';

  meta = with lib; {
    description = "Mochiy Pop P One";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
