{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "monsieur-la-doulaise-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/monsieurladoulaise/MonsieurLaDoulaise-Regular.ttf?raw=true";
      name = "MonsieurLaDoulaise-Regular.ttf";
      sha256 = "dd3e04fbe661a7a70ff87b56b446e57a2605de5659c84d35ef58f4606ee68fad";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 MonsieurLaDoulaise-Regular.ttf $out/share/fonts/truetype/MonsieurLaDoulaise-Regular.ttf
  '';

  meta = with lib; {
    description = "Monsieur La Doulaise";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
