{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "new-amsterdam-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/newamsterdam/NewAmsterdam-Regular.ttf?raw=true";
      name = "NewAmsterdam-Regular.ttf";
      sha256 = "f52d8430042c0c09fe3080eb9a7d8d3f8f5f7f18879474d3837ff7a43c07e219";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NewAmsterdam-Regular.ttf $out/share/fonts/truetype/NewAmsterdam-Regular.ttf
  '';

  meta = with lib; {
    description = "New Amsterdam";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
