{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "norican-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/norican/Norican-Regular.ttf?raw=true";
      name = "Norican-Regular.ttf";
      sha256 = "71ee99002e70bb69f8f613bd29d646d6044aaf34612efcff689a11afa4291d04";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Norican-Regular.ttf $out/share/fonts/truetype/Norican-Regular.ttf
  '';

  meta = with lib; {
    description = "Norican";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
