{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-color-emoji-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notocoloremoji/NotoColorEmoji-Regular.ttf?raw=true";
      name = "NotoColorEmoji-Regular.ttf";
      sha256 = "c7ce73eaacec33f1fdcb6e11a216388aefd0d646d3a87e283aa24f38eb32678a";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoColorEmoji-Regular.ttf $out/share/fonts/truetype/NotoColorEmoji-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Color Emoji";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
