{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-adlam-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosansadlam/NotoSansAdlam%5Bwght%5D.ttf?raw=true";
      name = "NotoSansAdlam_wght_.ttf";
      sha256 = "fda98eedbbad51d6c80319065bb193a1b3c9410a8309f09063082b768a54159f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansAdlam_wght_.ttf $out/share/fonts/truetype/NotoSansAdlam_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Adlam";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
