{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-hanifi-rohingya-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanshanifirohingya/NotoSansHanifiRohingya%5Bwght%5D.ttf?raw=true";
      name = "NotoSansHanifiRohingya_wght_.ttf";
      sha256 = "8ae85e850664b2d319c3b359bbf59b285e0e472afcaf96e34f37810e4b441d1b";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansHanifiRohingya_wght_.ttf $out/share/fonts/truetype/NotoSansHanifiRohingya_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Hanifi Rohingya";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
