{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-old-north-arabian-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosansoldnortharabian/NotoSansOldNorthArabian-Regular.ttf?raw=true";
      name = "NotoSansOldNorthArabian-Regular.ttf";
      sha256 = "27e42ee27587eda9c2521650cca938d4b247e00d55603b0abab0789c2eb2cccb";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansOldNorthArabian-Regular.ttf $out/share/fonts/truetype/NotoSansOldNorthArabian-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Old North Arabian";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
