{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-tagalog-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanstagalog/NotoSansTagalog-Regular.ttf?raw=true";
      name = "NotoSansTagalog-Regular.ttf";
      sha256 = "871a66319d10d1a027eee889f75ea49be0b7d2a4e97acd6bf7f7a0ed1d741aac";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansTagalog-Regular.ttf $out/share/fonts/truetype/NotoSansTagalog-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Tagalog";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
