{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-serif-np-hmong-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notoserifnphmong/NotoSerifNPHmong%5Bwght%5D.ttf?raw=true";
      name = "NotoSerifNPHmong_wght_.ttf";
      sha256 = "6917f29fdcb76668b8ad4c85038d54815b5899c49242c82b76c3b3dcc2bb216f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSerifNPHmong_wght_.ttf $out/share/fonts/truetype/NotoSerifNPHmong_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Serif NP Hmong";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
