{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "nova-script-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/novascript/NovaScript-Regular.ttf?raw=true";
      name = "NovaScript-Regular.ttf";
      sha256 = "470a4b2ca317b49f8bfc21d2b8f70d506b2652643664e1c3898852e72122a28d";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NovaScript-Regular.ttf $out/share/fonts/truetype/NovaScript-Regular.ttf
  '';

  meta = with lib; {
    description = "Nova Script";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
