{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "original-surfer-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/originalsurfer/OriginalSurfer-Regular.ttf?raw=true";
      name = "OriginalSurfer-Regular.ttf";
      sha256 = "ee4a42820b224a1934f2ba0997958d7965ad34762d88244fbffddb0b0ae488e4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 OriginalSurfer-Regular.ttf $out/share/fonts/truetype/OriginalSurfer-Regular.ttf
  '';

  meta = with lib; {
    description = "Original Surfer";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
