{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "overpass-mono-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/overpassmono/OverpassMono%5Bwght%5D.ttf?raw=true";
      name = "OverpassMono_wght_.ttf";
      sha256 = "49f230e10251608f0ae1a2ce46be768d7b9ddcbe5cdca2e9f6b762fcbce1ae4f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 OverpassMono_wght_.ttf $out/share/fonts/truetype/OverpassMono_wght_.ttf
  '';

  meta = with lib; {
    description = "Overpass Mono";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
