{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "permanent-marker-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/permanentmarker/PermanentMarker-Regular.ttf?raw=true";
      name = "PermanentMarker-Regular.ttf";
      sha256 = "28f82c8a7943cb8e9d599f8554da1d4fc75dbcf69b9885ad6c0611d20c6946c5";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PermanentMarker-Regular.ttf $out/share/fonts/truetype/PermanentMarker-Regular.ttf
  '';

  meta = with lib; {
    description = "Permanent Marker";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
