{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-be-vlg-guides-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwritebevlgguides/PlaywriteBEVLGGuides-Regular.ttf?raw=true";
      name = "PlaywriteBEVLGGuides-Regular.ttf";
      sha256 = "1fcfb1fe45cc1c6f496169f7e7809ba2b92026a54fe8d355982852f7d485534c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteBEVLGGuides-Regular.ttf $out/share/fonts/truetype/PlaywriteBEVLGGuides-Regular.ttf
  '';

  meta = with lib; {
    description = "Playwrite BE VLG Guides";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
