{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-id-guides-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwriteidguides/PlaywriteIDGuides-Regular.ttf?raw=true";
      name = "PlaywriteIDGuides-Regular.ttf";
      sha256 = "9e9b589240cca165659b09ec468fbd8ba1563879ac7a1b2cf279c787aa83b47c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteIDGuides-Regular.ttf $out/share/fonts/truetype/PlaywriteIDGuides-Regular.ttf
  '';

  meta = with lib; {
    description = "Playwrite ID Guides";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
