{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-sk-guides-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwriteskguides/PlaywriteSKGuides-Regular.ttf?raw=true";
      name = "PlaywriteSKGuides-Regular.ttf";
      sha256 = "03e0297a36c50c5c8fc6ac2ec84042d29d660004601f5475187dedf5eb201c0c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteSKGuides-Regular.ttf $out/share/fonts/truetype/PlaywriteSKGuides-Regular.ttf
  '';

  meta = with lib; {
    description = "Playwrite SK Guides";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
