{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-us-trad-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwriteustrad/PlaywriteUSTrad%5Bwght%5D.ttf?raw=true";
      name = "PlaywriteUSTrad_wght_.ttf";
      sha256 = "6f2b0ba3c262a4d23bc06ea78ff5eccd45ebf324635d81bac25165eb2a2f1960";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteUSTrad_wght_.ttf $out/share/fonts/truetype/PlaywriteUSTrad_wght_.ttf
  '';

  meta = with lib; {
    description = "Playwrite US Trad";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
