{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "protest-strike-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/proteststrike/ProtestStrike-Regular.ttf?raw=true";
      name = "ProtestStrike-Regular.ttf";
      sha256 = "0dcfbc041d0c134681f93615cdcc5725eeb36854b2eb115b54421a9551840197";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 ProtestStrike-Regular.ttf $out/share/fonts/truetype/ProtestStrike-Regular.ttf
  '';

  meta = with lib; {
    description = "Protest Strike";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
