{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "quando-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/quando/Quando-Regular.ttf?raw=true";
      name = "Quando-Regular.ttf";
      sha256 = "1c6bab1b4b3bf31a305d3866c3826e04237e8da9d9acfa84f49ab138394e8909";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Quando-Regular.ttf $out/share/fonts/truetype/Quando-Regular.ttf
  '';

  meta = with lib; {
    description = "Quando";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
