{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "reem-kufi-fun-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/reemkufifun/ReemKufiFun%5Bwght%5D.ttf?raw=true";
      name = "ReemKufiFun_wght_.ttf";
      sha256 = "fdaa5e89cbf79d3198d6f19b52024a5241963e767fa7221ba83da12ae00baaeb";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 ReemKufiFun_wght_.ttf $out/share/fonts/truetype/ReemKufiFun_wght_.ttf
  '';

  meta = with lib; {
    description = "Reem Kufi Fun";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
