{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "roboto-flex-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/robotoflex/RobotoFlex%5BGRAD,XOPQ,XTRA,YOPQ,YTAS,YTDE,YTFI,YTLC,YTUC,opsz,slnt,wdth,wght%5D.ttf?raw=true";
      name = "RobotoFlex_GRAD,XOPQ,XTRA,YOPQ,YTAS,YTDE,YTFI,YTLC,YTUC,opsz,slnt,wdth,wght_.ttf";
      sha256 = "9b523f7d82593df0107173849ebb8c817471a1df4b4fb2c3cbf40cfd810c8281";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RobotoFlex_GRAD-XOPQ-XTRA-YOPQ-YTAS-YTDE-YTFI-YTLC-YTUC-opsz-slnt-wdth-wght_.ttf $out/share/fonts/truetype/RobotoFlex_GRAD-XOPQ-XTRA-YOPQ-YTAS-YTDE-YTFI-YTLC-YTUC-opsz-slnt-wdth-wght_.ttf
  '';

  meta = with lib; {
    description = "Roboto Flex";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
