{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "roboto-slab-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/robotoslab/RobotoSlab%5Bwght%5D.ttf?raw=true";
      name = "RobotoSlab_wght_.ttf";
      sha256 = "786ae192477447d33c6672c3055fba7cbfe45184c9a79e77a14f15716ca05b16";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RobotoSlab_wght_.ttf $out/share/fonts/truetype/RobotoSlab_wght_.ttf
  '';

  meta = with lib; {
    description = "Roboto Slab";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
