{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "rubik-bubbles-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/rubikbubbles/RubikBubbles-Regular.ttf?raw=true";
      name = "RubikBubbles-Regular.ttf";
      sha256 = "2171521dab2b1b3675bbb7aecd34b1c169167c360e3647dadb4939910490c974";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RubikBubbles-Regular.ttf $out/share/fonts/truetype/RubikBubbles-Regular.ttf
  '';

  meta = with lib; {
    description = "Rubik Bubbles";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
