{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "rubik-dirt-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/rubikdirt/RubikDirt-Regular.ttf?raw=true";
      name = "RubikDirt-Regular.ttf";
      sha256 = "9de3d928e434a47ec85d759012c8a0ebfeab0860076eea4e3989a47c5e213123";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RubikDirt-Regular.ttf $out/share/fonts/truetype/RubikDirt-Regular.ttf
  '';

  meta = with lib; {
    description = "Rubik Dirt";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
