{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "ruslan-display-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/ruslandisplay/RuslanDisplay-Regular.ttf?raw=true";
      name = "RuslanDisplay-Regular.ttf";
      sha256 = "6fb5f4db06869e886ca5da3760c547c6d3ebec82aebd3678f314e99ae3347b09";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RuslanDisplay-Regular.ttf $out/share/fonts/truetype/RuslanDisplay-Regular.ttf
  '';

  meta = with lib; {
    description = "Ruslan Display";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
