{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "tektur-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/tektur/Tektur%5Bwdth,wght%5D.ttf?raw=true";
      name = "Tektur_wdth,wght_.ttf";
      sha256 = "a4c451e5336874811267c2a514efa09bca7bc8cabf32a310f0b44e111eacb933";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Tektur_wdth-wght_.ttf $out/share/fonts/truetype/Tektur_wdth-wght_.ttf
  '';

  meta = with lib; {
    description = "Tektur";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
