{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "triodion-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/triodion/Triodion-Regular.ttf?raw=true";
      name = "Triodion-Regular.ttf";
      sha256 = "fc93ae1a214a8dbb0746ee5afa705042b4d65430327c648eeafe15ff5f53bfe3";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Triodion-Regular.ttf $out/share/fonts/truetype/Triodion-Regular.ttf
  '';

  meta = with lib; {
    description = "Triodion";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
