{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "ultra-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/ultra/Ultra-Regular.ttf?raw=true";
      name = "Ultra-Regular.ttf";
      sha256 = "9ee63cffbc379e5d4eb5fed6a0b94b770da919497e5cba4a227a6393dae0939e";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Ultra-Regular.ttf $out/share/fonts/truetype/Ultra-Regular.ttf
  '';

  meta = with lib; {
    description = "Ultra";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
