{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "voltaire-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/voltaire/Voltaire-Regular.ttf?raw=true";
      name = "Voltaire-Regular.ttf";
      sha256 = "f46e955318c841722e8b7c9dfff1c9bccfe4c94ab69c00d7ea68c6f81d2e615e";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Voltaire-Regular.ttf $out/share/fonts/truetype/Voltaire-Regular.ttf
  '';

  meta = with lib; {
    description = "Voltaire";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
