{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "walter-turncoat-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/walterturncoat/WalterTurncoat-Regular.ttf?raw=true";
      name = "WalterTurncoat-Regular.ttf";
      sha256 = "ab7e9ca31710733211c5a938d2c851c84c0d21f6af4486f32bc6d374281b2da0";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 WalterTurncoat-Regular.ttf $out/share/fonts/truetype/WalterTurncoat-Regular.ttf
  '';

  meta = with lib; {
    description = "Walter Turncoat";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
