{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "workbench-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/workbench/Workbench%5BBLED,SCAN%5D.ttf?raw=true";
      name = "Workbench_BLED,SCAN_.ttf";
      sha256 = "027940fb7aea63f260fb367957e419c08f904f357b384c819f99eb06e7af17d6";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Workbench_BLED-SCAN_.ttf $out/share/fonts/truetype/Workbench_BLED-SCAN_.ttf
  '';

  meta = with lib; {
    description = "Workbench";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
